Skip to main content
GET
/
data
/
order
/
{orderID}
Get single order by ID
curl --request GET \
  --url https://clob.polymarket.com/data/order/{orderID} \
  --header 'POLY_ADDRESS: <api-key>' \
  --header 'POLY_API_KEY: <api-key>' \
  --header 'POLY_PASSPHRASE: <api-key>' \
  --header 'POLY_SIGNATURE: <api-key>' \
  --header 'POLY_TIMESTAMP: <api-key>'
import requests

url = "https://clob.polymarket.com/data/order/{orderID}"

headers = {
"POLY_API_KEY": "<api-key>",
"POLY_ADDRESS": "<api-key>",
"POLY_SIGNATURE": "<api-key>",
"POLY_PASSPHRASE": "<api-key>",
"POLY_TIMESTAMP": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
POLY_API_KEY: '<api-key>',
POLY_ADDRESS: '<api-key>',
POLY_SIGNATURE: '<api-key>',
POLY_PASSPHRASE: '<api-key>',
POLY_TIMESTAMP: '<api-key>'
}
};

fetch('https://clob.polymarket.com/data/order/{orderID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "0xabcdef1234567890abcdef1234567890abcdef12",
  "status": "ORDER_STATUS_LIVE",
  "owner": "f4f247b7-4ac7-ff29-a152-04fda0a8755a",
  "maker_address": "0x1234567890123456789012345678901234567890",
  "market": "0x0000000000000000000000000000000000000000000000000000000000000001",
  "asset_id": "0xabc123def456...",
  "side": "BUY",
  "original_size": "100000000",
  "size_matched": "0",
  "price": "0.5",
  "outcome": "YES",
  "expiration": "1735689600",
  "order_type": "GTC",
  "associate_trades": [],
  "created_at": 1700000000
}
{
"error": "Invalid orderID"
}
{
"error": "Invalid API key"
}
{
"error": "Order not found"
}
{
"error": "Internal server error"
}

Authorizations

POLY_API_KEY
string
header
required

Your API key

POLY_ADDRESS
string
header
required

Ethereum address associated with the API key

POLY_SIGNATURE
string
header
required

HMAC signature of the request

POLY_PASSPHRASE
string
header
required

API key passphrase

POLY_TIMESTAMP
string
header
required

Unix timestamp of the request

Path Parameters

orderID
string
required

Order ID (order hash)

Response

Successfully retrieved order

id
string
required

Order ID (order hash)

Example:

"0xabcdef1234567890abcdef1234567890abcdef12"

status
enum<string>
required

Order status

Available options:
ORDER_STATUS_LIVE,
ORDER_STATUS_INVALID,
ORDER_STATUS_CANCELED_MARKET_RESOLVED,
ORDER_STATUS_CANCELED,
ORDER_STATUS_MATCHED
owner
string
required

UUID of the order owner

Example:

"f4f247b7-4ac7-ff29-a152-04fda0a8755a"

maker_address
string
required

Ethereum address of the maker

Example:

"0x1234567890123456789012345678901234567890"

market
string
required

Market (condition ID)

Example:

"0x0000000000000000000000000000000000000000000000000000000000000001"

asset_id
string
required

Asset ID (token ID)

Example:

"0xabc123def456..."

side
enum<string>
required

Order side

Available options:
BUY,
SELL
Example:

"BUY"

original_size
string
required

Original order size in fixed-math with 6 decimals

Example:

"100000000"

size_matched
string
required

Size that has been matched in fixed-math with 6 decimals

Example:

"0"

price
string
required

Order price

Example:

"0.5"

outcome
string
required

Market outcome (YES/NO)

Example:

"YES"

expiration
string
required

Unix timestamp when the order expires

Example:

"1735689600"

order_type
enum<string>
required

Order type

Available options:
GTC,
FOK,
GTD,
FAK
Example:

"GTC"

created_at
integer
required

Unix timestamp when the order was created

Example:

1700000000

associate_trades
string[]

Array of associated trade IDs

Example:
["trade-123"]